import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsRedis } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-30 18:21
 */
interface DevopsRedisCU extends ConditionUtil<DevopsRedisCU> {
    ID: FieldUtil<DevopsRedisCU>;
    CLOUD_PLATFORM: FieldUtil<DevopsRedisCU>;
    CLOUD_ACCOUNT_ID: FieldUtil<DevopsRedisCU>;
    REGION_ID: FieldUtil<DevopsRedisCU>;
    INSTANCE_ID: FieldUtil<DevopsRedisCU>;
    IP: FieldUtil<DevopsRedisCU>;
    REDIS_TYPE: FieldUtil<DevopsRedisCU>;
    PORT: FieldUtil<DevopsRedisCU>;
    INSTANCE_NAME: FieldUtil<DevopsRedisCU>;
    BUSINESS_GROUP: FieldUtil<DevopsRedisCU>;
    INSTANCE_SPECIFICATIONS: FieldUtil<DevopsRedisCU>;
    CPU: FieldUtil<DevopsRedisCU>;
    MEMORY: FieldUtil<DevopsRedisCU>;
    VERSION: FieldUtil<DevopsRedisCU>;
    RUNNING_STATE: FieldUtil<DevopsRedisCU>;
    BILLING_WAY: FieldUtil<DevopsRedisCU>;
    BUY_TIME: FieldUtil<DevopsRedisCU>;
    EXPIRE_TIME: FieldUtil<DevopsRedisCU>;
    REMARK: FieldUtil<DevopsRedisCU>;
    CREATE_TIME: FieldUtil<DevopsRedisCU>;
    UPDATE_TIME: FieldUtil<DevopsRedisCU>;
}
declare class DevopsRedisMU extends TableUtilImpl<DevopsRedisCU, DevopsRedis> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsRedisCU;
    static get ID(): FieldUtil<DevopsRedisCU>;
    static get CLOUD_PLATFORM(): FieldUtil<DevopsRedisCU>;
    static get CLOUD_ACCOUNT_ID(): FieldUtil<DevopsRedisCU>;
    static get REGION_ID(): FieldUtil<DevopsRedisCU>;
    static get INSTANCE_ID(): FieldUtil<DevopsRedisCU>;
    static get IP(): FieldUtil<DevopsRedisCU>;
    static get REDIS_TYPE(): FieldUtil<DevopsRedisCU>;
    static get PORT(): FieldUtil<DevopsRedisCU>;
    static get INSTANCE_NAME(): FieldUtil<DevopsRedisCU>;
    static get BUSINESS_GROUP(): FieldUtil<DevopsRedisCU>;
    static get INSTANCE_SPECIFICATIONS(): FieldUtil<DevopsRedisCU>;
    static get CPU(): FieldUtil<DevopsRedisCU>;
    static get MEMORY(): FieldUtil<DevopsRedisCU>;
    static get VERSION(): FieldUtil<DevopsRedisCU>;
    static get RUNNING_STATE(): FieldUtil<DevopsRedisCU>;
    static get BILLING_WAY(): FieldUtil<DevopsRedisCU>;
    static get BUY_TIME(): FieldUtil<DevopsRedisCU>;
    static get EXPIRE_TIME(): FieldUtil<DevopsRedisCU>;
    static get REMARK(): FieldUtil<DevopsRedisCU>;
    static get CREATE_TIME(): FieldUtil<DevopsRedisCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsRedisCU>;
    get ID(): FieldUtil<DevopsRedisCU>;
    get CLOUD_PLATFORM(): FieldUtil<DevopsRedisCU>;
    get CLOUD_ACCOUNT_ID(): FieldUtil<DevopsRedisCU>;
    get REGION_ID(): FieldUtil<DevopsRedisCU>;
    get INSTANCE_ID(): FieldUtil<DevopsRedisCU>;
    get IP(): FieldUtil<DevopsRedisCU>;
    get REDIS_TYPE(): FieldUtil<DevopsRedisCU>;
    get PORT(): FieldUtil<DevopsRedisCU>;
    get INSTANCE_NAME(): FieldUtil<DevopsRedisCU>;
    get BUSINESS_GROUP(): FieldUtil<DevopsRedisCU>;
    get INSTANCE_SPECIFICATIONS(): FieldUtil<DevopsRedisCU>;
    get CPU(): FieldUtil<DevopsRedisCU>;
    get MEMORY(): FieldUtil<DevopsRedisCU>;
    get VERSION(): FieldUtil<DevopsRedisCU>;
    get RUNNING_STATE(): FieldUtil<DevopsRedisCU>;
    get BILLING_WAY(): FieldUtil<DevopsRedisCU>;
    get BUY_TIME(): FieldUtil<DevopsRedisCU>;
    get EXPIRE_TIME(): FieldUtil<DevopsRedisCU>;
    get REMARK(): FieldUtil<DevopsRedisCU>;
    get CREATE_TIME(): FieldUtil<DevopsRedisCU>;
    get UPDATE_TIME(): FieldUtil<DevopsRedisCU>;
}
export { DevopsRedisMU, DevopsRedisCU };
